#
# Conditional build:
%bcond_without	sysfs	# sysfs support
%bcond_without	procfs	# procfs support
#
Summary:	Scaling your CPU frequency
Summary(pl.UTF-8):	Skalowanie częstotliwości procesora
Name:		cpufrequtils
Version:	008
Release:	4
Epoch:		1
License:	GPL v2
Group:		Applications/System
#Source0:	https://www.kernel.org/pub/linux/utils/kernel/cpufreq/%{name}-%{version}.tar.bz2
Source0:	http://ftp.sunet.se/pub/Linux/kernel.org/linux/utils/kernel/cpufreq/%{name}-%{version}.tar.bz2
# Source0-md5:	c59b71c044d463896f3247e8dd83dd7e
# 404 as of Dec 2013, use mirror
#URL:		https://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
URL:		http://ftp.sunet.se/pub/Linux/kernel.org/linux/utils/kernel/cpufreq/cpufrequtils.html
BuildRequires:	gettext-tools
%{?with_sysfs:BuildRequires:	sysfsutils-devel >= 1.3.0-3}
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Scaling your CPU frequency.

%description -l pl.UTF-8
Skalowanie częstotliwości procesora.

%package libs
Summary:	cpufrequtils library
Summary(pl.UTF-8):	Biblioteka skalująca częstotliwość procesora
Group:		Libraries

%description libs
cpufrequtils library.

%description libs -l pl.UTF-8
Biblioteka skalująca częstotliwość procesora.

%package devel
Summary:	Header file for libcpufreq library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libcpufreq
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
%{?with_sysfs:Requires:	sysfsutils-devel >= 1.3.0-3}
Obsoletes:	cpufrequtils-static
Conflicts:	kernel-tools-cpupower-libs-devel

%description devel
Header file for libcpufreq library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libcpufreq.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	OPTIMIZATION="%{rpmcflags}" \
	V=true \
	%{!?with_sysfs:SYSFS=false} \
	%{!?with_procfs:PROC=false}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir} \
	mandir=%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/cpufreq-*
%{_mandir}/man1/cpufreq-*.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcpufreq.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcpufreq.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcpufreq.so
%{_includedir}/cpufreq.h
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cpufrequtils.git;a=log;h=master

* Mon Nov 30 2015 Jan Palus <atler@pld-linux.org> a02a1ae
- devel C: kernel-tools-cpupower-libs-devel

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> 124f2ae
- release 3 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 0540130
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 7859e85
- updated gettext BR

* Sun Dec 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 19acf9b
- some working URLs (old linux kernel mirror); development seems stalled anyway

* Sun Aug 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 0017571
- updated to 008
- removed libtool patch (libtool support and static library gone)
- thus -devel O: cpufrequtils-static

* Fri Nov 27 2009 sparky <sparky@pld-linux.org> 845531f
- BR: gettext-devel

* Mon Aug 11 2008 Adam Gołębiowski <adamg@pld-linux.org> cdb6ab9
- updated to 005

* Sat Jul 26 2008 twittner <twittner@pld-linux.org> bf0106a
- up to 004

* Sat May 31 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f610238
- up to 003

* Sun Dec 16 2007 Elan Ruusamäe <glen@pld-linux.org> 8b9eab1
- add -libtool.patch, fix libdir on amd64; rel 2

* Sun Dec 16 2007 Elan Ruusamäe <glen@pld-linux.org> 4de570e
- pass --tag=CC for libtool

* Sat May 26 2007 Jakub Bogusz <qboosh@pld-linux.org> dc826bc
- updated to 002, epoch 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e53c1ad
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c4fb8e9
- converted to UTF-8

* Sun Feb 19 2006 Jakub Bogusz <qboosh@pld-linux.org> ba9f9a9
- killed sysfs thinko (-L/sys/lib), -devel R: sysfsutils-devel
- release 3, STBR

* Sun Jan 08 2006 Jakub Bogusz <qboosh@pld-linux.org> d4deb58
- en cosmetisc

* Sun Jan 08 2006 Paweł Gołaszewski <blues@pld-linux.org> 3315930
- release 2 - separated libs into subpackage

* Sun Jan 08 2006 Paweł Gołaszewski <blues@pld-linux.org> 1a8d214
- TODO added

* Wed Jan 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 38b971a
- added missing update information to rev. 1.5 commit log

